[linux-dvb] DVB v4 API ready?

Ralph Metzler rjkm at metzlerbros.de
Wed Sep 14 14:30:22 CEST 2005


Budde, Marco writes:
 > for one of our customers I have to implement
 > a Linux driver for one of his DVB-T/S cards.
 > 
 > Which version of the DVB API should be used for
 > a complete new driver implementation. Is it still
 > a good idea to use version 3 or should I use
 > version 4? 
 > 
 > After have a look into the version 4 API
 > documentation, it looks a little bit incomplete
 > at the moment. Does the current Linux kernel already
 > support version 4? Are there client programs
 > available for version 4?
 > 
 > So which version do you recommend?


It depends on what your customer wants to use it for and what kind of
card it is.

For "budget" cards which only provide a complete TS and maybe some 
PID filters, and if your customer just wants to provide some general 
Linux support for their cards, you should probably use version 3.

If it has a complete "STB chip" on board with decoders, etc. 
and/or your customer has an application that uses version 4, then
better use that one.


Can you say what kind of cards those are and if the drivers will be open sourced?


Ralph




More information about the linux-dvb mailing list